Source: https://developers.woosmap.com/api-reference/data-api/get-stores-storeid/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Get Asset from ID



# Get Asset from ID

 GET 
https://api.woosmap.com/stores/{storeId}

Used to retrieve an asset from his `storeId`

### Authorization

[`key`](#authorization-woosmap-platform-api-reference-publicapikeyauth)
apiKeyquery

A Public key generated specifically to authenticate API requests on the front side. See how to [register a Public API Key](https://developers.woosmap.com/api-reference/authentication/#registering-a-woosmap-public-api-key).

[`Referer`](#authorization-woosmap-platform-api-reference-refererheader)
apiKeyheader

The Referer HTTP request header is mandatory when using PublicApiKeyAuth. In browser environment, the Referer is set by the browser itself and cannot be overridden.

[`private_key`](#authorization-woosmap-platform-api-reference-privateapikeyauth)
apiKeyquery

A Private key generated specifically to authenticate API requests on server side. Required for Data management API. See how to [register a Private API Key](https://developers.woosmap.com/api-reference/authentication/#registering-a-woosmap-private-api-key).

[`X-Api-Key`](#authorization-woosmap-platform-api-reference-privateapikeyheaderauth)
apiKeyheader

A Private key to authenticate API requests through the Header instead of Query parameter. Use either PrivateApiKeyHeaderAuth or PrivateApiKeyAuth. See how to [register a Private API Key](https://developers.woosmap.com/api-reference/authentication/#registering-a-woosmap-private-api-key).

### Path Parameters

[`storeId`](#path-storeid)
stringrequired

ID of the asset to get

Example:`STORE_ID_123456`

### Response

200application/json

Asset successfully retrieved

[`type`](#resp-200-type)
string

the Geojson Type (only 'Feature')

Available options:`Feature`

[`properties`](#resp-200-properties)
object

Attributes describing an Asset.

#Show 12 propertiesHide 12 properties

properties.[`name`](#resp-200-properties-name)
string

The asset's name.

Example:`My Cool Store`

properties.[`store_id`](#resp-200-properties-store-id)
string

A textual identifier that uniquely identifies an Asset. It must matches the following regexp `[A-Za-z0-9]+`

Example:`STORE_ID_12345`

properties.[`address`](#resp-200-properties-address)
object

An object containing the separate components applicable to this address.

Example:

```json
{
  "lines": [
    "8 Southwark St"
  ],
  "country_code": "UK",
  "city": "London",
  "zipcode": "SE1 1TL"
}
```

Show 4 propertiesHide 4 properties

properties.address.[`lines`](#resp-200-properties-address-lines)
string[]

An Array for lines of an Asset Address

Example:

```json
[
  "Building Centre",
  "26 Store Street"
]
```

properties.address.[`country_code`](#resp-200-properties-address-country-code)
string | null

An ISO\_3166-1 Country Code where the Asset is located (see [https://en.wikipedia.org/wiki/ISO\_3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) for full list)

Example:`UK`

properties.address.[`city`](#resp-200-properties-address-city)
string

A City where belongs an Asset

Example:`London`

properties.address.[`zipcode`](#resp-200-properties-address-zipcode)
string

An Zipcode / Postal code of an Asset Address

Example:`WC1E 7BT`

properties.[`contact`](#resp-200-properties-contact)
object

An object containing the asset's contact available information.

Example:

```json
{
  "website": "https://www.woosmap.com",
  "phone": "+44 20 7693 4000",
  "email": "contact@woosmap.com"
}
```

Show 3 propertiesHide 3 properties

properties.contact.[`website`](#resp-200-properties-contact-website)
string

The website contact for this Asset, such as a business' homepage.

Example:`https://www.woosmap.com`

properties.contact.[`phone`](#resp-200-properties-contact-phone)
string

Contains the Asset's phone number in its [local format](https://en.wikipedia.org/wiki/Local_conventions_for_writing_telephone_numbers).

Example:`+44 20 7693 4000`

properties.contact.[`email`](#resp-200-properties-contact-email)
string

Contains the Asset's email contact.

Example:`contact@woosmap.com`

properties.[`open`](#resp-200-properties-open)
object

The Current opening status for an Asset

Example:

```json
{
  "open_now": true,
  "open_hours": [
    {
      "end": "20:00",
      "start": "05:00"
    }
  ],
  "week_day": 1,
  "current_slice": {
    "end": "20:00",
    "start": "05:00"
  }
}
```

Show 5 propertiesHide 5 properties

properties.open.[`current_slice`](#resp-200-properties-open-current-slice)
object

The hours for an opening period. To define a slice of time where the asset is open you must define a `start` and `end` keys. `start` and `end` must belong to the same day (crossing midnight may result in open\_now being always false.)

Example:

```json
{
  "start": "08:30",
  "end": "19:30"
}
```

Show 2 propertiesHide 2 properties

properties.open.current\_slice.[`start`](#resp-200-properties-open-current-slice-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.open.current\_slice.[`end`](#resp-200-properties-open-current-slice-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.open.[`open_hours`](#resp-200-properties-open-open-hours)
object[]

the opening hours for the day

Show 2 propertiesHide 2 properties

properties.open.open\_hours.[`start`](#resp-200-properties-open-open-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.open.open\_hours.[`end`](#resp-200-properties-open-open-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.open.[`open_now`](#resp-200-properties-open-open-now)
boolean

Boolean value indicating the status of the opening hours

properties.open.[`next_opening`](#resp-200-properties-open-next-opening)
object

the next opening hours period

Show 3 propertiesHide 3 properties

properties.open.next\_opening.[`end`](#resp-200-properties-open-next-opening-end)
string

the hours of next opening

Example:`17:30`

properties.open.next\_opening.[`start`](#resp-200-properties-open-next-opening-start)
string

the hours of next closing

Example:`06:00`

properties.open.next\_opening.[`day`](#resp-200-properties-open-next-opening-day)
string

the day of next opening

Example:`2021-11-16`

properties.open.[`week_day`](#resp-200-properties-open-week-day)
integer

the day of the week starting from 1 to 7

properties.[`weekly_opening`](#resp-200-properties-weekly-opening)
object

The current Weekly Opening taking into account the special hours

Example:

```json
{
  "1": {
    "hours": [],
    "isSpecial": false
  },
  "2": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "3": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "4": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "5": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "6": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "7": {
    "hours": [
      {
        "end": "22:00",
        "start": "08:30"
      }
    ],
    "isSpecial": false
  },
  "timezone": "Europe/London"
}
```

Show 8 propertiesHide 8 properties

properties.weekly\_opening.[`1`](#resp-200-properties-weekly-opening-1)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.1.[`hours`](#resp-200-properties-weekly-opening-1-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.1.hours.[`start`](#resp-200-properties-weekly-opening-1-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.1.hours.[`end`](#resp-200-properties-weekly-opening-1-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.1.[`isSpecial`](#resp-200-properties-weekly-opening-1-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`2`](#resp-200-properties-weekly-opening-2)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.2.[`hours`](#resp-200-properties-weekly-opening-2-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.2.hours.[`start`](#resp-200-properties-weekly-opening-2-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.2.hours.[`end`](#resp-200-properties-weekly-opening-2-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.2.[`isSpecial`](#resp-200-properties-weekly-opening-2-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`3`](#resp-200-properties-weekly-opening-3)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.3.[`hours`](#resp-200-properties-weekly-opening-3-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.3.hours.[`start`](#resp-200-properties-weekly-opening-3-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.3.hours.[`end`](#resp-200-properties-weekly-opening-3-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.3.[`isSpecial`](#resp-200-properties-weekly-opening-3-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`4`](#resp-200-properties-weekly-opening-4)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.4.[`hours`](#resp-200-properties-weekly-opening-4-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.4.hours.[`start`](#resp-200-properties-weekly-opening-4-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.4.hours.[`end`](#resp-200-properties-weekly-opening-4-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.4.[`isSpecial`](#resp-200-properties-weekly-opening-4-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`5`](#resp-200-properties-weekly-opening-5)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.5.[`hours`](#resp-200-properties-weekly-opening-5-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.5.hours.[`start`](#resp-200-properties-weekly-opening-5-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.5.hours.[`end`](#resp-200-properties-weekly-opening-5-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.5.[`isSpecial`](#resp-200-properties-weekly-opening-5-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`6`](#resp-200-properties-weekly-opening-6)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.6.[`hours`](#resp-200-properties-weekly-opening-6-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.6.hours.[`start`](#resp-200-properties-weekly-opening-6-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.6.hours.[`end`](#resp-200-properties-weekly-opening-6-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.6.[`isSpecial`](#resp-200-properties-weekly-opening-6-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`7`](#resp-200-properties-weekly-opening-7)
object

The opening Hours for Monday

Example:

```json
{
  "hours": [
    {
      "start": "06:30",
      "end": "18:00"
    }
  ],
  "isSpecial": false
}
```

Show 2 propertiesHide 2 properties

properties.weekly\_opening.7.[`hours`](#resp-200-properties-weekly-opening-7-hours)
object[]

Show 2 propertiesHide 2 properties

properties.weekly\_opening.7.hours.[`start`](#resp-200-properties-weekly-opening-7-hours-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.weekly\_opening.7.hours.[`end`](#resp-200-properties-weekly-opening-7-hours-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.weekly\_opening.7.[`isSpecial`](#resp-200-properties-weekly-opening-7-isspecial)
boolean

Define if the hours comes from a special opening hours day.

Example:`false`

properties.weekly\_opening.[`timezone`](#resp-200-properties-weekly-opening-timezone)
string

Timezone for the Opening Hours of an Asset. It is used to compute the `open_now` property of an asset. see [https://en.wikipedia.org/wiki/List\_of\_tz\_database\_time\_zones](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones)

Example:`Europe/London`

properties.[`types`](#resp-200-properties-types)
string[]

Contains an array of types describing the Asset.

Example:

```json
[
  "drive",
  "click_and_collect"
]
```

properties.[`tags`](#resp-200-properties-tags)
string[]

Contains an array of tags describing the Asset. For example a list of available amenities.

Example:

```json
[
  "wifi",
  "covered_parking"
]
```

properties.[`last_updated`](#resp-200-properties-last-updated)
string | null

the previous date timestamp when the asset has been updated

Example:`2022-11-08T15:48:08.556803+00:00`

properties.[`user_properties`](#resp-200-properties-user-properties)
object | null

Contains all additional information relative to an Asset. If not set it returns null value.

Example:

```json
{
  "some_user_properties": "some_value"
}
```

properties.[`opening_hours`](#resp-200-properties-opening-hours)
object | null

An object describing the opening hours of an Asset.

Example:

```json
{
  "timezone": "Europe/London",
  "usual": {
    "1": [],
    "default": [
      {
        "start": "08:30",
        "end": "22:00"
      }
    ]
  },
  "special": {
    "2015-02-07": [
      {
        "start": "08:00",
        "end": "23:00"
      }
    ]
  }
}
```

Show 3 propertiesHide 3 properties

properties.opening\_hours.[`timezone`](#resp-200-properties-opening-hours-timezone)
string

Timezone for the Opening Hours of an Asset. It is used to compute the `open_now` property of an asset. see [https://en.wikipedia.org/wiki/List\_of\_tz\_database\_time\_zones](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones)

Example:`Europe/London`

properties.opening\_hours.[`usual`](#resp-200-properties-opening-hours-usual)
object

An object describing the usual opening hours of an Asset.

Show 8 propertiesHide 8 properties

properties.opening\_hours.usual.[`1`](#resp-200-properties-opening-hours-usual-1)
object[]

The opening Hours for Monday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.1.[`start`](#resp-200-properties-opening-hours-usual-1-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.1.[`end`](#resp-200-properties-opening-hours-usual-1-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`2`](#resp-200-properties-opening-hours-usual-2)
object[]

The opening Hours for Tuesday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.2.[`start`](#resp-200-properties-opening-hours-usual-2-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.2.[`end`](#resp-200-properties-opening-hours-usual-2-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`3`](#resp-200-properties-opening-hours-usual-3)
object[]

The opening Hours for Wednesday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.3.[`start`](#resp-200-properties-opening-hours-usual-3-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.3.[`end`](#resp-200-properties-opening-hours-usual-3-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`4`](#resp-200-properties-opening-hours-usual-4)
object[]

The opening Hours for Thursday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.4.[`start`](#resp-200-properties-opening-hours-usual-4-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.4.[`end`](#resp-200-properties-opening-hours-usual-4-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`5`](#resp-200-properties-opening-hours-usual-5)
object[]

The opening Hours for Friday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.5.[`start`](#resp-200-properties-opening-hours-usual-5-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.5.[`end`](#resp-200-properties-opening-hours-usual-5-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`6`](#resp-200-properties-opening-hours-usual-6)
object[]

The opening Hours for Saturday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.6.[`start`](#resp-200-properties-opening-hours-usual-6-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.6.[`end`](#resp-200-properties-opening-hours-usual-6-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`7`](#resp-200-properties-opening-hours-usual-7)
object[]

The opening Hours for Sunday

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.7.[`start`](#resp-200-properties-opening-hours-usual-7-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.7.[`end`](#resp-200-properties-opening-hours-usual-7-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.usual.[`default`](#resp-200-properties-opening-hours-usual-default)
object[]

Contains the default opening hours to apply to all week days

Show 2 propertiesHide 2 properties

properties.opening\_hours.usual.default.[`start`](#resp-200-properties-opening-hours-usual-default-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.usual.default.[`end`](#resp-200-properties-opening-hours-usual-default-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.[`special`](#resp-200-properties-opening-hours-special)
object

An object describing the special opening hours of an Asset.

Show 2 propertiesHide 2 properties

properties.opening\_hours.special.[`2015-02-07`](#resp-200-properties-opening-hours-special-2015-02-07)
object[]

The format for defining opening and closing hours for a particular day is the same as the usual. Instead of using numeric week day for keys you must use a date YYYY-MM-DD like "2015-03-08" (see ISO-8601).

Show 2 propertiesHide 2 properties

properties.opening\_hours.special.2015-02-07.[`start`](#resp-200-properties-opening-hours-special-2015-02-07-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.special.2015-02-07.[`end`](#resp-200-properties-opening-hours-special-2015-02-07-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.opening\_hours.special.[`2015-02-08`](#resp-200-properties-opening-hours-special-2015-02-08)
object[]

Show 2 propertiesHide 2 properties

properties.opening\_hours.special.2015-02-08.[`start`](#resp-200-properties-opening-hours-special-2015-02-08-start)
stringrequired

Contains a time of day in 24-hour hh:mm format for the begin of opening period. Values are in the range 00:00–23:59

Example:`08:30`

properties.opening\_hours.special.2015-02-08.[`end`](#resp-200-properties-opening-hours-special-2015-02-08-end)
stringrequired

Contains a time of day in 24-hour hh:mm format for the end of opening period. Values are in the range 00:00–23:59

Example:`19:30`

properties.[`distance`](#resp-200-properties-distance)
number

The distance in meters from the geolocated position or searched position if exist

Example:`544.581`

[`geometry`](#resp-200-geometry)
object

GeoJSon Point Geometry

Example:

```json
{
  "type": "Point",
  "coordinates": [
    -0.14408,
    51.5088
  ]
}
```

#Show 2 propertiesHide 2 properties

geometry.[`type`](#resp-200-geometry-type)
string

the geometry type

Available options:`Point`

geometry.[`coordinates`](#resp-200-geometry-coordinates)
number[]

An array of comma separated {latitude,longitude} strings.

Example:

```json
[
  43.4,
  -2.1
]
```

### Errors

#401

Unauthorized. Incorrect authentication credentials.

 

`application/json`

[`detail`](#err-401-detail)
string

Details for the credentials error

Example:`Incorrect authentication credentials. Please check or use a valid API Key`

#403

Forbidden. This Woosmap API is not enabled for this project.

 

`application/json`

[`detail`](#err-403-detail)
string

Details for the forbidden error message

Example:`This Woosmap API is not enabled for this project.`

#404

Not Found - `storeId` do not exist.

 

```shell
curl -L 'https://api.woosmap.com/stores/10031/?key=YOUR_PUBLIC_API_KEY' \
-H 'Referer: http://localhost'
```

```javascript
const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/stores/10031/?key=YOUR_PUBLIC_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests

url = "https://api.woosmap.com/stores/10031/?key=YOUR_PUBLIC_API_KEY"

payload = {}
headers = {
    'Referer': 'http://localhost'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```json
{
  "type": "Feature",
  "properties": {
    "store_id": "10031",
    "name": "Santa Rosa & Yolanda",
    "contact": {
      "phone": "707-527-1006",
      "website": "https://www.starbucks.com/store-locator/store/10031/santa-rosa-yolanda-2688-santa-rosa-ave-santa-rosa-ca-954077625-us"
    },
    "address": {
      "lines": [
        "2688 Santa Rosa Ave",
        "Santa Rosa, CA 95407"
      ],
      "country_code": "US",
      "city": "Santa Rosa",
      "zipcode": "954077625"
    },
    "user_properties": {
      "take_away": "available"
    },
    "tags": [
      "DT",
      "WA",
      "CD",
      "DR",
      "LB",
      "GO",
      "XO",
      "MX",
      "NB",
      "BE",
      "LU"
    ],
    "types": [
      "Coffee shop"
    ],
    "last_updated": "2022-11-10T13:26:55.066524+00:00",
    "open": {
      "open_now": false,
      "open_hours": [
        {
          "end": "20:00",
          "start": "05:00"
        }
      ],
      "week_day": 2,
      "next_opening": {
        "day": "2025-09-16",
        "start": "05:00",
        "end": "20:00"
      }
    },
    "weekly_opening": {
      "1": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "2": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "3": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "4": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "5": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "6": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "7": {
        "hours": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "isSpecial": false
      },
      "timezone": "America/Los_Angeles"
    },
    "opening_hours": {
      "usual": {
        "1": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "2": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "3": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "4": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "5": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "6": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ],
        "7": [
          {
            "end": "20:00",
            "start": "05:00"
          }
        ]
      },
      "special": {},
      "timezone": "America/Los_Angeles"
    }
  },
  "geometry": {
    "type": "Point",
    "coordinates": [
      -122.712924,
      38.41244
    ]
  }
}
```

```json
{
  "detail": "Incorrect authentication credentials. Please check or use a valid API Key"
}
```

```json
{
  "detail": "This Woosmap API is not enabled for this project."
}
```
